import pkg_resources

from flask import Blueprint, jsonify
from inventory_provider.routes import common

routes = Blueprint("inventory-data-default-routes", __name__)

API_VERSION = '0.1'


@routes.after_request
def after_request(resp):
    return common.after_request(resp)


@routes.route("/version", methods=['GET', 'POST'])
@common.require_accepts_json
def version():
    return jsonify({
        'api': API_VERSION,
        'module':
            pkg_resources.get_distribution('inventory_provider').version
    })
